zenilib: zenilib/jni/external/freetype2/src/winfonts/winfnt.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
winfnt.h File Reference
`#include <ft2build.h>`
`#include <FT_WINFONTS_H>`
`#include <FT_INTERNAL_DRIVER_H>`

Go to the source code of this file.

## Classes

struct | FNT_FaceRec_
struct | FNT_FontRec_
struct | WinMZ_HeaderRec_
struct | WinNameInfoRec_
struct | WinNE_HeaderRec_
struct | WinPE32_HeaderRec_
struct | WinPE32_SectionRec_
struct | WinPE_RsrcDataEntryRec_
struct | WinPE_RsrcDirEntryRec_
struct | WinPE_RsrcDirRec_
struct | WinResourceInfoRec_

## Macros

#define | WINFNT_MZ_MAGIC 0x5A4D
#define | WINFNT_NE_MAGIC 0x454E
#define | WINFNT_PE_MAGIC 0x4550

## Typedefs

typedef struct FNT_FaceRec_ * | FNT_Face
typedef struct FNT_FaceRec_ | FNT_FaceRec
typedef struct FNT_FontRec_ * | FNT_Font
typedef struct FNT_FontRec_ | FNT_FontRec
typedef FT_BEGIN_HEADER struct WinMZ_HeaderRec_ | WinMZ_HeaderRec
typedef struct WinNameInfoRec_ | WinNameInfoRec
typedef struct WinNE_HeaderRec_ | WinNE_HeaderRec
typedef struct WinPE32_HeaderRec_ | WinPE32_HeaderRec
typedef struct WinPE32_SectionRec_ | WinPE32_SectionRec
typedef struct WinPE_RsrcDataEntryRec_ | WinPE_RsrcDataEntryRec
typedef struct WinPE_RsrcDirEntryRec_ | WinPE_RsrcDirEntryRec
typedef struct WinPE_RsrcDirRec_ | WinPE_RsrcDirRec
typedef struct WinResourceInfoRec_ | WinResourceInfoRec

## Functions

| FT_EXPORT_VAR (const FT_Driver_ClassRec) winfnt_driver_class

## Macro Definition Documentation

#define WINFNT_MZ_MAGIC 0x5A4D

Definition at line 133 of file winfnt.h.

Referenced by fnt_face_get_dll_font().

#define WINFNT_NE_MAGIC 0x454E

Definition at line 134 of file winfnt.h.

Referenced by fnt_face_get_dll_font().

#define WINFNT_PE_MAGIC 0x4550

Definition at line 135 of file winfnt.h.

Referenced by fnt_face_get_dll_font().

## Typedef Documentation

typedef struct FNT_FaceRec_ * FNT_Face

typedef struct FNT_FaceRec_ FNT_FaceRec

typedef struct FNT_FontRec_ * FNT_Font

typedef struct FNT_FontRec_ FNT_FontRec

typedef FT_BEGIN_HEADER struct WinMZ_HeaderRec_ WinMZ_HeaderRec

typedef struct WinNameInfoRec_ WinNameInfoRec

typedef struct WinNE_HeaderRec_ WinNE_HeaderRec

typedef struct WinPE32_HeaderRec_ WinPE32_HeaderRec

typedef struct WinPE32_SectionRec_ WinPE32_SectionRec

typedef struct WinPE_RsrcDataEntryRec_ WinPE_RsrcDataEntryRec

typedef struct WinPE_RsrcDirEntryRec_ WinPE_RsrcDirEntryRec

typedef struct WinPE_RsrcDirRec_ WinPE_RsrcDirRec

typedef struct WinResourceInfoRec_ WinResourceInfoRec

## Function Documentation

FT_EXPORT_VAR | ( | const FT_Driver_ClassRec |  | ) |